[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# MilliSecondOfTheWeek

Calculate the number of milliseconds elapsed since the start of the week

## Declaration

Source position: dateutil.inc line 218

`function MilliSecondOfTheWeek(`
`const AValue: TDateTime`
`):LongWord;`

## Arguments

`AValue` |  | Moment in the week to calculate milliseconds from.

## Function result

Number of milliseconds passed since the start of the week.

## Description

MilliSecondOfTheWeek returns the number of milliseconds that have passed since the start of the Week (00:00:00.000) till the moment indicated by AValue. This is a zero-based number, i.e. 00:00:00.000 on the first of the Week will return 0.

For an example, see the DayOfTheWeek function.

## See also

MilliSecondOfTheYear |  | Calculate the number of milliseconds elapsed since the start of the year.
MilliSecondOfTheMonth |  | Calculate number of milliseconds elapsed since the start of the month.
MilliSecondOfTheDay |  | Calculate the number of milliseconds elapsed since the start of the day
MilliSecondOfTheHour |  | Calculate the number of milliseconds elapsed since the start of the hour
MilliSecondOfTheMinute |  | Calculate the number of milliseconds elapsed since the start of the minute
MilliSecondOfTheSecond |  | Calculate the number of milliseconds elapsed since the start of the second
DayOfTheWeek |  | Extracts the day of the week from a TDateTime value
HourOfTheWeek |  | Calculate the number of hours elapsed since the start of the week.
MinuteOfTheWeek |  | Calculate the number of minutes elapsed since the start of the week
SecondOfTheWeek |  | Calculate the number of seconds elapsed since the start of the week